/**
 * Copyright (c) by Mohan Embar 2008. All Rights Reserved.
 * http://www.thisiscool.com/
 */
using System;
using System.Collections.Generic;
using System.Text;

using com.thisiscool.tinybasic;

namespace com.thisiscool.tinybasicconsole
{
    public class ConsoleIO : IConsoleIO
    {
        public void screenChar(char ch)
        {
            Console.Write(ch);
        }

        public void print(string theMsg)
        {
            Console.Write(theMsg);
        }

        public char read()
        {
            int n = Console.Read();
		    char ch = n==-1 ? '\0' : (char) n;
		    if (ch == '\n')
			    ch = '\0';
		    return ch;
        }
    }
}